<?php
include 'conexion.php';

// Obtener valores seleccionados
$semestreSeleccionado = $_GET['semestre'] ?? '';
$seccionSeleccionada = $_GET['seccion'] ?? '';
?>

<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Administrador de Horarios</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

    <style>
        .teoria {
            background-color: #FFF8B8 !important;
            /* Amarillo pastel */
            color: #6B5600;
        }

        .practica {
            background-color: #D9EAFB !important;
            /* Azul pastel */
            color: #004085;
        }
    </style>

</head>

<body>

    <div class="container mt-4">
        <h2 class="text-center">Administrador de Horarios</h2>

        <!-- Filtro de Semestre, Sección y Curso -->
        <div class="row">
            <div class="col-md-3">
                <label>Semestre:</label>
                <select id="semestre" class="form-control">
                    <option value="">Seleccione</option>
                    <?php
                    $semestres = $conn->query("SELECT DISTINCT semestre FROM cursos");
                    while ($semestre = $semestres->fetch_assoc()) {
                        echo "<option value='{$semestre['semestre']}'>{$semestre['semestre']}</option>";
                    }
                    ?>
                </select>
            </div>

            <div class="col-md-3">
                <label>Sección:</label>
                <select id="seccion" class="form-control">
                    <option value="">Seleccione un semestre primero</option>
                </select>
            </div>

            <div class="col-md-3">
                <label>Curso:</label>
                <select id="curso" class="form-control">
                    <option value="">Seleccione una sección primero</option>
                </select>
            </div>

            <div class="col-md-3 mt-4">
                <button id="agregarCurso" class="btn btn-success">Agregar a Horario</button>
            </div>
        </div>

        <!-- Tabla de Horarios -->
        <table class="table table-bordered mt-4">
            <thead>
                <tr>
                    <th>Hora Inicio</th>
                    <th>Hora Fin</th>
                    <th>Lunes</th>
                    <th>Martes</th>
                    <th>Miércoles</th>
                    <th>Jueves</th>
                    <th>Viernes</th>
                    <th>Sábado</th>
                    <th>Domingo</th>
                </tr>
            </thead>
            <tbody id="tablaHorarios">
                <!-- Aquí se cargarán los datos dinámicamente -->
            </tbody>
        </table>
    </div>

    <script>
        $(document).ready(function() {

            cargarTablaHorarios();
            // Cargar SECCIONES cuando se seleccione un SEMESTRE
            $("#semestre").change(function() {
                var semestre = $(this).val();
                $.ajax({
                    url: "cargar_secciones.php",
                    method: "POST",
                    data: {
                        semestre: semestre
                    },
                    success: function(data) {
                        $("#seccion").html(data);
                        $("#curso").html('<option value="">Seleccione una sección primero</option>');
                    }
                });
            });

            // Cargar CURSOS cuando se seleccione una SECCIÓN
            $("#seccion").change(function() {
                var seccion = $(this).val();
                var semestre = $("#semestre").val();
                $.ajax({
                    url: "cargar_cursos.php",
                    method: "POST",
                    data: {
                        semestre: semestre,
                        seccion: seccion
                    },
                    success: function(data) {
                        $("#curso").html(data);
                    }
                });
            });

            // Agregar curso a la tabla de horarios
            // $("#agregarCurso").click(function() {
            //     var cursoId = $("#curso").val();
            //     var semestre = $("#semestre").val();
            //     var seccion = $("#seccion").val();

            //     if (cursoId) {
            //         $.ajax({
            //             url: "agregar_horario.php",
            //             method: "POST",
            //             data: {
            //                 curso_id: cursoId,
            //                 semestre: semestre,
            //                 seccion: seccion
            //             },
            //             success: function(response) {
            //                 var data = JSON.parse(response);
            //                 var idCelda = data.dia + "-" + data.hora_inicio;

            //                 $("#" + idCelda).html(
            //                     `<div class='bg-warning p-2'>
            //                 ${data.nombre}
            //                 <button class='btn btn-danger btn-sm float-right eliminarCurso' data-id='${data.id}'>❌</button>
            //             </div>`
            //                 );
            //             }
            //         });
            //     } else {
            //         alert("Seleccione un curso antes de agregar.");
            //     }
            // });

            // $("#agregarCurso").click(function() {
            //     var cursoId = $("#curso").val();
            //     var semestre = $("#semestre").val();
            //     var seccion = $("#seccion").val();

            //     if (cursoId) {
            //         $.ajax({
            //             url: "agregar_horario.php",
            //             method: "POST",
            //             data: {
            //                 curso_id: cursoId,
            //                 semestre: semestre,
            //                 seccion: seccion
            //             },
            //             success: function(response) {
            //                 cargarTablaHorarios(); // Recargar la tabla después de agregar un curso
            //             }
            //         });
            //     } else {
            //         alert("Seleccione un curso antes de agregar.");
            //     }
            // });

            $("#agregarCurso").click(function() {
                var cursoSeleccionado = $("#curso option:selected").text();
                var cursoId = $("#curso").val();
                var semestre = $("#semestre").val();
                var seccion = $("#seccion").val();

                if (cursoId) {
                    var cursoDatos = cursoSeleccionado.split(" | ");
                    var dia = cursoDatos[0];
                    var horario = cursoDatos[1];                    
                    var tipoCurso = cursoDatos[2];
                    var nombreCurso = cursoDatos[3];
                    var horaInicio = horario.split(" - ")[0];
                    var horaFin = horario.split(" - ")[1];

                    $.ajax({
                        url: "agregar_horario.php",
                        method: "POST",
                        data: {
                            curso_id: cursoId,
                            semestre: semestre,
                            seccion: seccion,
                            dia: dia,
                            hora_inicio: horaInicio,
                            hora_fin: horaFin
                        },
                        success: function(response) {
                            var data = JSON.parse(response);

                            if (data.error) {
                                alert(data.error); // Mostrar mensaje si hay cruce de horarios
                            } else {
                                cargarTablaHorarios(); // Si no hay error, actualizar la tabla
                            }
                        }
                    });
                } else {
                    alert("Seleccione un curso antes de agregar.");
                }
            });


            // Función para recargar la tabla de horarios sin recargar la página
            function cargarTablaHorarios() {
                var semestre = $("#semestre").val();
                var seccion = $("#seccion").val();

                $.ajax({
                    url: "cargar_tabla_horarios.php",
                    method: "POST",
                    data: {
                        semestre: semestre,
                        seccion: seccion
                    },
                    success: function(data) {
                        $("#tablaHorarios").html(data); // Actualiza la tabla sin recargar
                    }
                });
            }


            // Eliminar curso del horario
            $(document).on("click", ".eliminarCurso", function() {
                var cursoId = $(this).data("id");
                var celda = $(this).parent(); // Celda del curso

                $.ajax({
                    url: "eliminar_horario.php",
                    method: "POST",
                    data: {
                        curso_id: cursoId
                    },
                    success: function() {
                        celda.html(""); // Limpiar la celda después de eliminar
                    }
                });
            });
        });
    </script>

</body>

</html>